%global npmname color-convert

Name:           nodejs-%{npmname}
Version:        2.0.1
Release:        1%{?dist}
Summary:        Plain color conversion functions in JavaScript

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/Qix-/color-convert/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-color-name
BuildRequires:  nodejs-chalk

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Color-convert is a color conversion library for JavaScript and node.
It converts all ways between rgb, hsl, hsv, hwb, cmyk, ansi, ansi16,
hex strings, and CSS keywords (will round to closest).

%prep
%autosetup -n %{npmname}-%{version}

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js conversions.js route.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

node test/basic.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 2.0.1-1
- Initial package for Fedora.
